Debian Bug report logs - #533917
metacity: title bar hidden below top panel on maximized windows

version graph

Package: metacity; Maintainer for metacity is Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>; Source for metacity is src:metacity.

Reported by: "Eugenio M. Vigo" <emvigo@gmail.com>

Date: Sun, 21 Jun 2009 14:57:04 UTC

Severity: important

Merged with 534164, 534323

Found in version metacity/1:2.26.0-2

Fixed in version metacity/1:2.26.0-3

Done: Josselin Mouette <joss@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, emvigo@gmail.com, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#533917; Package metacity. (Sun, 21 Jun 2009 14:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Eugenio M. Vigo" <emvigo@gmail.com>:
New Bug report received and forwarded. Copy sent to emvigo@gmail.com, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 21 Jun 2009 14:57:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Eugenio M. Vigo" <emvigo@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: metacity: title bar hidden below top panel on maximized windows
Date: Sun, 21 Jun 2009 16:55:42 +0200
Package: metacity
Version: 1:2.26.0-2
Severity: important

When maximizing a window, its title bar gets hidden by GNOME's title bar. 
If I hide the the panel, I can see the title bar, so the issue seems to be that
metacity isn't recognizing where the "desktop" ends.

This (mis)behaivor started after doing a regular update to version 2.26.0-2.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/2 CPU cores)
Locale: LANG=es_AR.UTF-8, LC_CTYPE=es_AR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages metacity depends on:
ii  libatk1.0-0                  1.26.0-1    The ATK accessibility toolkit
ii  libc6                        2.9-12      GNU C Library: Shared libraries
ii  libcairo2                    1.8.6-2+b1  The Cairo 2D vector graphics libra
ii  libgconf2-4                  2.26.2-1    GNOME configuration database syste
ii  libglib2.0-0                 2.20.1-2    The GLib library of C routines
ii  libgtk2.0-0                  2.16.1-2    The GTK+ graphical user interface 
ii  libice6                      2:1.0.5-1   X11 Inter-Client Exchange library
ii  libmetacity-private0         1:2.26.0-2  library for the Metacity window ma
ii  libpango1.0-0                1.24.0-3+b1 Layout and rendering of internatio
ii  libsm6                       2:1.1.0-2   X11 Session Management library
ii  libstartup-notification0     0.10-1      library for program launch feedbac
ii  libx11-6                     2:1.2.1-1   X11 client-side library
ii  libxcomposite1               1:0.4.0-3   X11 Composite extension library
ii  libxcursor1                  1:1.1.9-1   X cursor management library
ii  libxdamage1                  1:1.1.1-4   X11 damaged region extension libra
ii  libxext6                     2:1.0.4-1   X11 miscellaneous extension librar
ii  libxfixes3                   1:4.0.3-2   X11 miscellaneous 'fixes' extensio
ii  libxinerama1                 2:1.0.3-2   X11 Xinerama extension library
ii  libxrandr2                   2:1.3.0-2   X11 RandR extension library
ii  libxrender1                  1:0.9.4-2   X Rendering Extension client libra
ii  metacity-common              1:2.26.0-2  shared files for the Metacity wind
ii  zenity                       2.26.0-1    Display graphical dialog boxes fro

Versions of packages metacity recommends:
ii  gnome-session [x-session-mana 2.22.3-3   The GNOME 2 Session Manager

Versions of packages metacity suggests:
ii  gnome-control-center        1:2.24.0.1-5 utilities to configure the GNOME d
ii  gnome-themes                2.26.2-1     official themes for the GNOME desk
pn  xdg-user-dirs               <none>       (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#533917; Package metacity. (Sun, 21 Jun 2009 17:12:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sophoklis Goumas <sophoklisgoumas@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 21 Jun 2009 17:12:08 GMT) Full text and rfc822 format available.

Message #10 received at 533917@bugs.debian.org (full text, mbox):

From: Sophoklis Goumas <sophoklisgoumas@gmail.com>
To: 533917@bugs.debian.org
Subject: Re: Bug#533917: metacity: a duplicate of bug#445529 ?
Date: Sun, 21 Jun 2009 18:36:14 +0200
[Message part 1 (text/plain, inline)]
Hello,

seems that this is a duplicate of bug #445529
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=445529
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#533917; Package metacity. (Sun, 21 Jun 2009 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ghent <ghent.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 21 Jun 2009 19:45:03 GMT) Full text and rfc822 format available.

Message #15 received at 533917@bugs.debian.org (full text, mbox):

From: Ghent <ghent.debian@gmail.com>
To: Debian Bug Tracking System <533917@bugs.debian.org>
Subject: metacity: It's not a duplicate
Date: Sun, 21 Jun 2009 21:43:03 +0200
Package: metacity
Version: 1:2.26.0-2
Severity: normal

Hello,
I've the same bug and it's not a duplicate of bug #445529.
I've just done the update metactiy 2.24.0-2 to 2.26.0-2.
Metacity doesn't take care at my dashboards. When I maximize my windows, 
their top and their bottom are hidden behind the dashboards.
To solve the problem, I must do in a terminal "metacity --replace" after 
each boot.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (930, 'testing-proposed-updates'), (910, 'stable'), (890, 'stable'), (880, 'proposed-updates'), (80, 'unstable'), (60, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages metacity depends on:
ii  libatk1.0-0                  1.26.0-1    The ATK accessibility toolkit
ii  libc6                        2.9-12      GNU C Library: Shared libraries
ii  libcairo2                    1.8.6-2+b1  The Cairo 2D vector graphics libra
ii  libgconf2-4                  2.26.2-1    GNOME configuration database syste
ii  libglib2.0-0                 2.20.1-2    The GLib library of C routines
ii  libgtk2.0-0                  2.16.1-2    The GTK+ graphical user interface 
ii  libice6                      2:1.0.5-1   X11 Inter-Client Exchange library
ii  libmetacity-private0         1:2.26.0-2  library for the Metacity window ma
ii  libpango1.0-0                1.24.0-3+b1 Layout and rendering of internatio
ii  libsm6                       2:1.1.0-2   X11 Session Management library
ii  libstartup-notification0     0.10-1      library for program launch feedbac
ii  libx11-6                     2:1.2.1-1   X11 client-side library
ii  libxcomposite1               1:0.4.0-3   X11 Composite extension library
ii  libxcursor1                  1:1.1.9-1   X cursor management library
ii  libxdamage1                  1:1.1.1-4   X11 damaged region extension libra
ii  libxext6                     2:1.0.4-1   X11 miscellaneous extension librar
ii  libxfixes3                   1:4.0.3-2   X11 miscellaneous 'fixes' extensio
ii  libxinerama1                 2:1.0.3-2   X11 Xinerama extension library
ii  libxrandr2                   2:1.3.0-2   X11 RandR extension library
ii  libxrender1                  1:0.9.4-2   X Rendering Extension client libra
ii  metacity-common              1:2.26.0-2  shared files for the Metacity wind
ii  zenity                       2.26.0-1    Display graphical dialog boxes fro

Versions of packages metacity recommends:
ii  gnome-session [x-session-mana 2.22.3-3   The GNOME 2 Session Manager

Versions of packages metacity suggests:
ii  gnome-control-center        1:2.24.0.1-5 utilities to configure the GNOME d
ii  gnome-themes                2.26.2-1     official themes for the GNOME desk
pn  xdg-user-dirs               <none>       (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#533917; Package metacity. (Sun, 21 Jun 2009 19:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Liebman <radiodee1@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 21 Jun 2009 19:51:05 GMT) Full text and rfc822 format available.

Message #20 received at 533917@bugs.debian.org (full text, mbox):

From: David Liebman <radiodee1@gmail.com>
To: 533917@bugs.debian.org
Subject: Not the same bug
Date: Sun, 21 Jun 2009 15:48:02 -0400
I have the metacity bug that is described in 533917, after updates on
6/21/09, and it does not seem to me to be the same bug as 445529.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#533917; Package metacity. (Sun, 21 Jun 2009 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to garkein@mailueberfall.de:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 21 Jun 2009 21:15:03 GMT) Full text and rfc822 format available.

Message #25 received at 533917@bugs.debian.org (full text, mbox):

From: garkein@mailueberfall.de
To: 533917@bugs.debian.org
Subject: Same problem here
Date: Sun, 21 Jun 2009 23:05:50 +0200
I have the same misbehaviour here since the upgrade from testing.






Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#533917; Package metacity. (Sun, 21 Jun 2009 22:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vladimir Komendantsky <komendantsky@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 21 Jun 2009 22:18:04 GMT) Full text and rfc822 format available.

Message #30 received at 533917@bugs.debian.org (full text, mbox):

From: Vladimir Komendantsky <komendantsky@gmail.com>
To: 533917@bugs.debian.org
Subject: not #445529
Date: Sun, 21 Jun 2009 23:03:12 +0100
Hi,

The upgrade caused the same problem on my laptop. This is not a
duplicate of the old bug report. It looks as if some window
manipulation functions have gone crazy.

Successfully downgraded to the previous version from
http://ftp.cica.es/mirrors/Linux/debian/debian/pool/main/m/metacity/

V




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#533917; Package metacity. (Sun, 21 Jun 2009 23:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to gpe92 <gpe92@free.fr>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Sun, 21 Jun 2009 23:45:03 GMT) Full text and rfc822 format available.

Message #35 received at 533917@bugs.debian.org (full text, mbox):

From: gpe92 <gpe92@free.fr>
To: Debian Bug Tracking System <533917@bugs.debian.org>
Subject: metacity: same problem for me
Date: Mon, 22 Jun 2009 01:43:44 +0200
Package: metacity
Version: 1:2.26.0-2
Severity: normal

Same problem: metacity doesn't take care to gnome menu bars. No problem
with previous version in testing (2.24 I think).


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-2-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages metacity depends on:
ii  libatk1.0-0                  1.26.0-1    The ATK accessibility toolkit
ii  libc6                        2.9-12      GNU C Library: Shared libraries
ii  libcairo2                    1.8.6-2+b1  The Cairo 2D vector graphics libra
ii  libgconf2-4                  2.26.2-1    GNOME configuration database syste
ii  libglib2.0-0                 2.20.1-2    The GLib library of C routines
ii  libgtk2.0-0                  2.16.1-2    The GTK+ graphical user interface 
ii  libice6                      2:1.0.5-1   X11 Inter-Client Exchange library
ii  libmetacity-private0         1:2.26.0-2  library for the Metacity window ma
ii  libpango1.0-0                1.24.0-3+b1 Layout and rendering of internatio
ii  libsm6                       2:1.1.0-2   X11 Session Management library
ii  libstartup-notification0     0.10-1      library for program launch feedbac
ii  libx11-6                     2:1.2.1-1   X11 client-side library
ii  libxcomposite1               1:0.4.0-3   X11 Composite extension library
ii  libxcursor1                  1:1.1.9-1   X cursor management library
ii  libxdamage1                  1:1.1.1-4   X11 damaged region extension libra
ii  libxext6                     2:1.0.4-1   X11 miscellaneous extension librar
ii  libxfixes3                   1:4.0.3-2   X11 miscellaneous 'fixes' extensio
ii  libxinerama1                 2:1.0.3-2   X11 Xinerama extension library
ii  libxrandr2                   2:1.3.0-2   X11 RandR extension library
ii  libxrender1                  1:0.9.4-2   X Rendering Extension client libra
ii  metacity-common              1:2.26.0-2  shared files for the Metacity wind
ii  zenity                       2.26.0-1    Display graphical dialog boxes fro

Versions of packages metacity recommends:
ii  gnome-session [x-session-mana 2.22.3-3   The GNOME 2 Session Manager

Versions of packages metacity suggests:
ii  gnome-control-center        1:2.24.0.1-5 utilities to configure the GNOME d
ii  gnome-themes                2.26.2-1     official themes for the GNOME desk
pn  xdg-user-dirs               <none>       (no description available)

-- no debconf information





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#533917; Package metacity. (Mon, 22 Jun 2009 10:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josselin Mouette <joss@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 22 Jun 2009 10:18:04 GMT) Full text and rfc822 format available.

Message #40 received at 533917@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: Ghent <ghent.debian@gmail.com>, 533917@bugs.debian.org
Cc: "Eugenio M. Vigo" <emvigo@gmail.com>, David Liebman <radiodee1@gmail.com>, garkein@mailueberfall.de, Vladimir Komendantsky <komendantsky@gmail.com>, gpe92 <gpe92@free.fr>
Subject: Re: Bug#533917: metacity: It's not a duplicate
Date: Mon, 22 Jun 2009 11:55:51 +0200
[Message part 1 (text/plain, inline)]
Le dimanche 21 juin 2009 à 21:43 +0200, Ghent a écrit :
> Package: metacity
> Version: 1:2.26.0-2
> Severity: normal
> 
> Hello,
> I've the same bug and it's not a duplicate of bug #445529.
> I've just done the update metactiy 2.24.0-2 to 2.26.0-2.
> Metacity doesn't take care at my dashboards. When I maximize my windows, 
> their top and their bottom are hidden behind the dashboards.
> To solve the problem, I must do in a terminal "metacity --replace" after 
> each boot.

This is very probably caused by either gnome-session or gnome-panel
being stuck at older versions in testing.

I’ll add a Breaks: that will prevent this from happening, but in the
meantime you’ll have to upgrade to the versions currently in unstable or
to downgrade metacity. The newer gnome-session is stuck by the krb5
transition for the moment.

Cheers,
-- 
 .''`.      Josselin Mouette
: :' :
`. `'   “I recommend you to learn English in hope that you in
  `-     future understand things”  -- Jörg Schilling
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#533917; Package metacity. (Mon, 22 Jun 2009 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Luís Picciochi Oliveira <pitxyoki@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 22 Jun 2009 11:39:03 GMT) Full text and rfc822 format available.

Message #45 received at 533917@bugs.debian.org (full text, mbox):

From: Luís Picciochi Oliveira <pitxyoki@gmail.com>
To: 533917@bugs.debian.org
Cc: "Eugenio M. Vigo" <emvigo@gmail.com>, Sophoklis Goumas <sophoklisgoumas@gmail.com>, Ghent <ghent.debian@gmail.com>, David Liebman <radiodee1@gmail.com>, garkein@mailueberfall.de, Vladimir Komendantsky <komendantsky@gmail.com>, gpe92 <gpe92@free.fr>, Josselin Mouette <joss@debian.org>
Subject: Re: metacity: title bar hidden below top panel on maximized windows
Date: Mon, 22 Jun 2009 12:34:05 +0100
This bug had already been reported upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=581422

Upgrading gnome-panel to 2.26 partially solves this issue.
If you have a panel with hide buttons and you click one of them, any
maximized windows will not be updated. They all stay with the same
size, and an "empty" space will be where the panel was.
This also happens if you add a panel and change it from the top to,
eg, the right - the windows will still be maximized as if a top panel
was present, leaving an empty space, and their right side will be
hidden behind the new panel.

Regards,
Luís Picciochi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#533917; Package metacity. (Mon, 22 Jun 2009 16:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter <necedemalis@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Mon, 22 Jun 2009 16:42:02 GMT) Full text and rfc822 format available.

Message #50 received at 533917@bugs.debian.org (full text, mbox):

From: peter <necedemalis@gmail.com>
To: 533917@bugs.debian.org
Subject: metacity: title bar hidden below top panel on maximized windows patch
Date: Mon, 22 Jun 2009 12:40:45 -0400
borschty on gnome irc gave me this as the patch for this issue:

http://svn.gnome.org/viewvc/metacity/trunk/src/core/window-props.c?view=patch&r1=4191&r2=4190&pathrev=4191





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#533917; Package metacity. (Tue, 23 Jun 2009 10:36:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.at>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 23 Jun 2009 10:36:08 GMT) Full text and rfc822 format available.

Message #55 received at 533917@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.at>
To: 533917@bugs.debian.org
Subject: metacity: windows open below gnome panel
Date: Tue, 23 Jun 2009 12:34:15 +0200
Package: metacity
Version: 1:2.26.0-2
Severity: important

	Hi!

 Until recently, new windows got opened outside the gnome panel area,
and when moving windows the panel was giving a short stop to the window.
Now when opening windows and moving windows around it looks like the
panel is completely ignored.

 I am not aware that I tweaked any option if there is one for that
behavior, propably it switched its default or similar. If it's not
option related, I'm not sure what to think of it. It at least seems to
be similar to or the same as #533917 - if you also think so feel free
to merge them.

 ... reading further in that bugreport it indeed is the same issue, and
doing the "metacity --replace" workaround does fix it for me. I hope
that it at least partly helps to confirm that the "metacity --replace"
thing does do the magic trick. :)

 Thanks in advance!
Rhonda

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.30-1-powerpc
Locale: LANG=de_AT.UTF-8, LC_CTYPE=de_AT.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages metacity depends on:
ii  libatk1.0-0                  1.26.0-1    The ATK accessibility toolkit
ii  libc6                        2.9-12      GNU C Library: Shared libraries
ii  libcairo2                    1.8.6-2+b1  The Cairo 2D vector graphics libra
ii  libgconf2-4                  2.26.2-1    GNOME configuration database syste
ii  libglib2.0-0                 2.20.1-2    The GLib library of C routines
ii  libgtk2.0-0                  2.16.1-2    The GTK+ graphical user interface 
ii  libice6                      2:1.0.5-1   X11 Inter-Client Exchange library
ii  libmetacity-private0         1:2.26.0-2  library for the Metacity window ma
ii  libpango1.0-0                1.24.0-3+b1 Layout and rendering of internatio
ii  libsm6                       2:1.1.0-2   X11 Session Management library
ii  libstartup-notification0     0.10-1      library for program launch feedbac
ii  libx11-6                     2:1.2.1-1   X11 client-side library
ii  libxcomposite1               1:0.4.0-3   X11 Composite extension library
ii  libxcursor1                  1:1.1.9-1   X cursor management library
ii  libxdamage1                  1:1.1.1-4   X11 damaged region extension libra
ii  libxext6                     2:1.0.4-1   X11 miscellaneous extension librar
ii  libxfixes3                   1:4.0.3-2   X11 miscellaneous 'fixes' extensio
ii  libxinerama1                 2:1.0.3-2   X11 Xinerama extension library
ii  libxrandr2                   2:1.3.0-2   X11 RandR extension library
ii  libxrender1                  1:0.9.4-2   X Rendering Extension client libra
ii  metacity-common              1:2.26.0-2  shared files for the Metacity wind
ii  zenity                       2.26.0-1    Display graphical dialog boxes fro

Versions of packages metacity recommends:
ii  gnome-session [x-session-mana 2.22.3-3   The GNOME 2 Session Manager

Versions of packages metacity suggests:
ii  gnome-control-center        1:2.24.0.1-5 utilities to configure the GNOME d
ii  gnome-themes                2.26.2-1     official themes for the GNOME desk
pn  xdg-user-dirs               <none>       (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#533917; Package metacity. (Tue, 23 Jun 2009 10:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Emilio Pozuelo Monfort <pochu@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Tue, 23 Jun 2009 10:54:08 GMT) Full text and rfc822 format available.

Message #60 received at 533917@bugs.debian.org (full text, mbox):

From: Emilio Pozuelo Monfort <pochu@ubuntu.com>
To: Gerfried Fuchs <rhonda@debian.at>, 533917@bugs.debian.org
Subject: Re: Bug#533917: metacity: windows open below gnome panel
Date: Tue, 23 Jun 2009 12:50:03 +0200
[Message part 1 (text/plain, inline)]
Gerfried Fuchs wrote:
>  ... reading further in that bugreport it indeed is the same issue, and
> doing the "metacity --replace" workaround does fix it for me. I hope
> that it at least partly helps to confirm that the "metacity --replace"
> thing does do the magic trick. :)

The right fix would be to upgrade gnome-panel to 2.26 from unstable or to
downgrade metacity, it seems metacity 2.26 and gnome-panel 2.24 have some
incompatibility. A Breaks: gnome-panel (<< 2.26) has been added to metacity and
will be uploaded to the archive.

In the meantime you can workaround it the way you like the most :)

Best,
Emilio

[signature.asc (application/pgp-signature, attachment)]

Forcibly Merged 533917 534164. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Wed, 24 Jun 2009 09:57:02 GMT) Full text and rfc822 format available.

Forcibly Merged 533917 534164 534323. Request was from Josselin Mouette <joss@debian.org> to control@bugs.debian.org. (Wed, 24 Jun 2009 10:00:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#533917; Package metacity. (Wed, 24 Jun 2009 15:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to rasa <openok@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Wed, 24 Jun 2009 15:30:03 GMT) Full text and rfc822 format available.

Message #69 received at 533917@bugs.debian.org (full text, mbox):

From: rasa <openok@gmail.com>
To: 533917@bugs.debian.org
Subject: metacity: title bar hidden below top panel on maximized windows
Date: Wed, 24 Jun 2009 21:26:43 +0600
[Message part 1 (text/plain, inline)]
Hi.It starts before yesterday, after standard updating my Debian. All
windows titles are behind top gnome-panel and all status bars are behind
bottom gnome-panel. I tried restore xorg.conf with dpkg-reconfigure -phigh
xserver-xorg, but nothing changed.
Also I deleted ~/.gconf/apps/panel but no result!
After all I found this bug :)

P.S. Sorry for my terrible English. Salud from Russia
-- 
WBR Advot Diali,
friendship is the most valuable thing humans have
[Message part 2 (text/html, inline)]

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Wed, 24 Jun 2009 16:15:10 GMT) Full text and rfc822 format available.

Notification sent to "Eugenio M. Vigo" <emvigo@gmail.com>:
Bug acknowledged by developer. (Wed, 24 Jun 2009 16:15:10 GMT) Full text and rfc822 format available.

Message #74 received at 533917-close@bugs.debian.org (full text, mbox):

From: Josselin Mouette <joss@debian.org>
To: 533917-close@bugs.debian.org
Subject: Bug#533917: fixed in metacity 1:2.26.0-3
Date: Wed, 24 Jun 2009 15:33:09 +0000
Source: metacity
Source-Version: 1:2.26.0-3

We believe that the bug you reported is fixed in the latest version of
metacity, which is due to be installed in the Debian FTP archive:

libmetacity-dev_2.26.0-3_amd64.deb
  to pool/main/m/metacity/libmetacity-dev_2.26.0-3_amd64.deb
libmetacity-private0_2.26.0-3_amd64.deb
  to pool/main/m/metacity/libmetacity-private0_2.26.0-3_amd64.deb
metacity-common_2.26.0-3_all.deb
  to pool/main/m/metacity/metacity-common_2.26.0-3_all.deb
metacity_2.26.0-3.diff.gz
  to pool/main/m/metacity/metacity_2.26.0-3.diff.gz
metacity_2.26.0-3.dsc
  to pool/main/m/metacity/metacity_2.26.0-3.dsc
metacity_2.26.0-3_amd64.deb
  to pool/main/m/metacity/metacity_2.26.0-3_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 533917@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Josselin Mouette <joss@debian.org> (supplier of updated metacity package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 24 Jun 2009 12:04:26 +0200
Source: metacity
Binary: metacity libmetacity-private0 metacity-common libmetacity-dev
Architecture: source all amd64
Version: 1:2.26.0-3
Distribution: unstable
Urgency: high
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Changed-By: Josselin Mouette <joss@debian.org>
Description: 
 libmetacity-dev - Development files for the Metacity window manager
 libmetacity-private0 - library for the Metacity window manager
 metacity   - lightweight GTK+ window manager
 metacity-common - shared files for the Metacity window manager
Closes: 533917
Changes: 
 metacity (1:2.26.0-3) unstable; urgency=high
 .
   * 10_ignore_callbacks.patch: stolen upstream. Fix a bug leading to
     some callbacks being ignored. Closes: #533917.
Checksums-Sha1: 
 1fa693a3b84828ac851118026e42ce7367c26ed8 1631 metacity_2.26.0-3.dsc
 baf0cdcc1f24fb9b4cfa7446ea128033e540e18f 117224 metacity_2.26.0-3.diff.gz
 4b94e52d6a852c05a42e7a0b2b701985adf384e3 2236178 metacity-common_2.26.0-3_all.deb
 08a405838a3d7af1737437d324f95cca5f92d535 477162 metacity_2.26.0-3_amd64.deb
 282b65c08823f910973894fb4a0ab719d5dac79f 274358 libmetacity-private0_2.26.0-3_amd64.deb
 84998646783e06eb098f4b66007c925dfd0d638a 298220 libmetacity-dev_2.26.0-3_amd64.deb
Checksums-Sha256: 
 8c5a87c9f431d80a4137d2ae738c861363f9cc854ec5e0c29e2a22acef17ac5f 1631 metacity_2.26.0-3.dsc
 bfd8fa22531391f52c56e3066761161d5a6c3d09b82e064ed5d23e53a6608bd0 117224 metacity_2.26.0-3.diff.gz
 6a7562ecd621f9c16f61887e58e59c1228bc90a5661a21e5f196b8193bdbfb82 2236178 metacity-common_2.26.0-3_all.deb
 c771155eb0a90984889ff41c1299f34e8cee891bac48395291705531e255aec6 477162 metacity_2.26.0-3_amd64.deb
 27066bd8a0773c3c392b8420b589015b84ee8632c604483fac207b8abd884e37 274358 libmetacity-private0_2.26.0-3_amd64.deb
 5bd2319f1af8b64f016245a25e14756fbcd3d7560c8d68d0d4dedf3982b9e347 298220 libmetacity-dev_2.26.0-3_amd64.deb
Files: 
 17e49c8f052ef0002f39eb52ff67f5e3 1631 x11 optional metacity_2.26.0-3.dsc
 c715057f36d207292845f3df99ef2a82 117224 x11 optional metacity_2.26.0-3.diff.gz
 abd3bbc1be3e33f0ee691248a45aeefd 2236178 misc optional metacity-common_2.26.0-3_all.deb
 ca2c4114dfaa47ecb81fb8ab070b163d 477162 x11 optional metacity_2.26.0-3_amd64.deb
 ed83b68a6a4a0d85d864b30bc8ccd465 274358 libs optional libmetacity-private0_2.26.0-3_amd64.deb
 216b482c3e7a549d605073057934bcc3 298220 libdevel optional libmetacity-dev_2.26.0-3_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFKQjourSla4ddfhTMRAkq5AJ9Cg7HJWWoeyiq1QPqR4QAN3T73YgCgyOru
8C5RiwYN0KYCnR4zhihozH0=
=vGpD
-----END PGP SIGNATURE-----





Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Wed, 24 Jun 2009 16:15:11 GMT) Full text and rfc822 format available.

Notification sent to "metacity 2.26.0-2 loses its decoration" <xueqianzhao@gmail.com>:
Bug acknowledged by developer. (Wed, 24 Jun 2009 16:15:11 GMT) Full text and rfc822 format available.

Reply sent to Josselin Mouette <joss@debian.org>:
You have taken responsibility. (Wed, 24 Jun 2009 16:15:12 GMT) Full text and rfc822 format available.

Notification sent to Sascha Herrmann <sh-bugs@nvbi.de>:
Bug acknowledged by developer. (Wed, 24 Jun 2009 16:15:12 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 25 Jul 2009 07:28:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:04:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.